//Init.cpp
HINSTANCE hLib=NULL;
extern "C" int _fltused=1;                
int (*pSPrtf)(char*, const char*, ... );  
#ifdef x64                                
   ssize_t (*pAbs64)(ssize_t);            
   ssize_t (*pAtoi64)(const char*);       
#else
   ssize_t (*pAbs)(ssize_t);
#endif

bool blnLoadMsvcrt()
{
 hLib=LoadLibrary("msvcrt.dll");	
 if(!hLib)
    return false; 
 pSPrtf=(int (*)(char*, const char*, ...))GetProcAddress(hLib,"sprintf");
 if(!pSPrtf)
    return false; 
 #ifdef x64
    pAbs64=(ssize_t (*)(ssize_t))GetProcAddress(hLib,"_abs64");
    if(!pAbs64)
       return false;
    pAtoi64=(ssize_t (*)(const char*))GetProcAddress(hLib,"_atoi64");
    if(!pAtoi64)
       return false;
 #else
    pAbs=(ssize_t (*)(ssize_t))GetProcAddress(hLib,"abs");
    if(!pAbs)
       return false;
 #endif
 
 return true; 
}