//=====================================================================================
//               Developed As An Addition To Matt Pietrek's LibCTiny.lib
//                            By Fred Harris, January 2016
//
//                     cl fprintf.cpp /c /W3 /DWIN32_LEAN_AND_MEAN 
//=====================================================================================
#include <windows.h>
#include <stdarg.h>
extern "C" int __cdecl fprintf(HANDLE hFile, const char* format, ...);
#pragma comment(linker, "/defaultlib:user32.lib")

extern "C" int __cdecl fprintf(HANDLE hFile, const char* format, ...)
{
 char szBuff[1024];
 DWORD cbWritten;
 va_list argptr;
 int retValue;

 va_start(argptr, format);
 retValue = wvsprintf(szBuff, format, argptr);
 va_end(argptr);
 WriteFile(hFile, szBuff, retValue, &cbWritten, 0);
 
 return retValue;
}