//strDemo.h
#ifndef strDemo_h
#define strDemo_h

extern "C" int _fltused=1;                // This _fltused business is one serious piece of work!  I lost over a day on it!
HINSTANCE  hLib;                          // If its not defined like so you won't even be able to assign a floating point
int (*pSPrtf)(char*, const char*, ... );  // number to a variable!  The hLib thing I had to do.  I just couldn't live without
#ifdef x64                                // several routines from the C Runtime, namely sprintf(), _abs64(), _atoi64(), and
   ssize_t (*pAbs64)(ssize_t);            // abs().  In the fullness of time I hope to get rid of the necessity of loading the
   ssize_t (*pAtoi64)(const char*);       // C Runtime (msvcrt.dll) - even dynamically, but haven't reached that point yet!
#else
   ssize_t (*pAbs)(ssize_t);
#endif

#define IDC_CONCATENATION       1500
#define IDC_PARSE               1505
#define IDC_LEFT_RIGHT_MID      1510
#define IDC_INSTR               1515
#define IDC_FORMATTING          1520
#define IDC_LISTBOX             2000
#define dim(x) (sizeof(x) / sizeof(x[0]))

struct WndEventArgs
{
 HWND                         hWnd;
 WPARAM                       wParam;
 LPARAM                       lParam;
 HINSTANCE                    hIns;
};

long fnWndProc_OnCreate       (WndEventArgs& Wea);
long fnWndProc_OnCommand      (WndEventArgs& Wea);
long fnWndProc_OnDestroy      (WndEventArgs& Wea);

struct EVENTHANDLER
{
 unsigned int                 iMsg;
 long                         (*fnPtr)(WndEventArgs&);
};

const EVENTHANDLER EventHandler[]=
{
 {WM_CREATE,                  fnWndProc_OnCreate},
 {WM_COMMAND,                   fnWndProc_OnCommand},
 {WM_DESTROY,                 fnWndProc_OnDestroy}
};
#endif
