// cl Jim2.cpp Strings.cpp LibCTiny64.lib kernel32.lib /O1 /Os
// 8192 bytes x64 VC19
#include <windows.h>
#include "Strings.h"
#include "Init.cpp"
#include "stdio.h"

int main()
{
 if(blnLoadMsvcrt())
 {
    String s1("Zero, One, Two, Three, Four, Five");  // Will call Constructor for character String literal 
    String* pStrs=NULL;                              // We'll obtain array of Strings after parsing above CSVs
    int iParseCount=0;                               // For use in String::ParseCount(...)
 
    iParseCount=s1.ParseCount(',');                  // String::ParseCount() returns number of delimited strings
    pStrs=new String[iParseCount];                   // Create String::ParseCount() number of Strings
    if(pStrs)
    {    
       s1.Parse(pStrs,',',iParseCount);              // Pass into String::Parse enough Strings, delimiter, and count
       for(int i=0; i<iParseCount; i++)
       {   
           pStrs[i].Trim();                          // Some of the Strings will have a leading space
           pStrs[i].Print(true);                     // Use String::Print method
       }    
       delete [] pStrs;                              // Free dynamic memory
    }
    FreeLibrary(hLib);
    getchar();                                       // My version of getchar()/Waitkey$
 }

 return 0;
}

// Output
// ======
// Zero
// One
// Two
// Three
// Four
// Five
