//=====================================================================================
//               Developed As An Addition To Matt Pietrek's LibCTiny.lib
//                            By Fred Harris, January 2016
//
//                     cl sprintf.cpp /c /W3 /DWIN32_LEAN_AND_MEAN                  
//=====================================================================================
#include <windows.h>
extern "C" int __cdecl sprintf(char *buffer, const char * format, ...);

// Force the linker to include USER32.LIB
#pragma comment(linker, "/defaultlib:user32.lib")

extern "C" int __cdecl sprintf(char *buffer, const char * format, ...)
{
    int retValue;
    va_list argptr;
          
    va_start( argptr, format );
    retValue = wvsprintf( buffer, format, argptr );
    va_end( argptr );

    return retValue;
}
