//=====================================================================================
//               Developed As An Addition To Matt Pietrek's LibCTiny.lib
//                            By Fred Harris, January 2016
//
//                     cl strncpy.cpp /c /W3 /DWIN32_LEAN_AND_MEAN
//=====================================================================================
#include <windows.h>
extern "C" size_t __cdecl strlen(const char* strSource);

extern "C" char* __cdecl strncpy(char* strDest, const char* strSource, size_t iCount)   
{                                           // 3rd param is size_t
 size_t iLen=strlen(strSource);             // strlen returns size_t                                            
 lstrcpyn(strDest,strSource,(int)iCount);   // lstrcpyn wants an int here for 3rd param                                            
 strDest[iCount-1]=strSource[iCount-1];     // so try cast
 if(iCount>iLen)
 {
    for(size_t i=iLen; i<iCount; i++)
        strDest[i]=0;
 }

 return strDest;
}
